Bug 51471 - Usability:Narrator is not reading position and number of check boxes under "Internationalization" header in iOS Properties-->iOS build-->Advanced Tab
Summary: Usability:Narrator is not reading position and number of check boxes under "I...
Status: CLOSED FIXED
Alias: None
Product: Visual Studio Extensions
Classification: Xamarin
Component: Accessibility (show other bugs)
Version: 4.3.0 (C9)
Hardware: PC Windows
: --- normal
Target Milestone: ---
Assignee: Adrian Murphy
URL:
Depends on:
Blocks:
 
Reported: 2017-01-12 09:30 UTC by v-sukals@microsoft.com
Modified: 2017-10-04 11:45 UTC (History)
3 users (show)

See Also:
Tags: a11ymas,wipro
Is this bug a regression?: ---
Last known good build:


Attachments
Narrator buddy log (56.56 KB, image/png)
2017-01-12 09:30 UTC, v-sukals@microsoft.com
Details
Issue is fixed_Check boxes under Internationalization (86.05 KB, image/png)
2017-10-04 11:44 UTC, v-sukals@microsoft.com
Details

Description v-sukals@microsoft.com 2017-01-12 09:30:03 UTC
Created attachment 19296 [details]
Narrator buddy log

Repro Steps:
1. Launch Visual Studio RC 2017
2. Open File+New Project+Select "Crossplatform" from the Left Pane
3. Select "Cross Platform App"."New Crossplatform" window opens
4. Select "Blank App" 
5. Press Ok button
6. Solution Window Appears at Right pane
7. Tab to the "Solution Explorer"
8. Tab to the iOS App Name(For Ex: App2.iOS) and press Shift+F10
9. Select "Properties" option from the list. press Enter Key. App2.iOS Properties window appears 
10. Select "iOS Build" tab from left pane
and  Select "Advanced" Tab
11. Using Tab navigate to the first check box below to "Internationalization" header.
12. Using Down arrow key read all the check boxes

Actual Behavior:
Narrator is reading only check box name and state of the check box. Narrator is not reading total number of check  boxes and selected check box position

Expected Behavior:
Narrator should read the position of selected check box and total number of check boxes in the table
For Ex: When user selects "other" check box Narrator should read "checked other check box 3 out of 10"


User impact:
There are multiple number of check boxes in the list. When user reaches to the first check box using Tab key Narrator just reads "check box",visually impaired users cannot identify there are more number of check boxes in the same list
Comment 1 xamarin-release-manager 2017-09-08 13:56:25 UTC
Fixed in version 4.8.0.366 (master)

Author: Nick
Commit: 8587b650873868aad6a5ac16d4e2c390d0910463 (xamarin/XamarinVS)
Comment 2 v-sukals@microsoft.com 2017-10-04 11:44:45 UTC
Created attachment 25091 [details]
Issue is fixed_Check boxes under Internationalization
Comment 3 v-sukals@microsoft.com 2017-10-04 11:45:13 UTC
Earlier check boxes were designed in the list. As per latest UI design, check boxes under Internationalization are designed separately and also Narrator is reading check boxes properly with the corresponding name and status of the check box. Hence closing the bug.

Verified Windows Version:
Windows 10 Pro
OS Version 1703 (OS Build 15063.608)

Verified Visual Studio Build:
Visual Studio Enterprise 2017 d15rel
Version 15.5.0 Preview 1.0[27002.0.d15rel]
Xamarin Version: 4.8.0.315(50450332e)

Note: Please find the attached screenshot for more info.
[Screenshot: Issue is fixed_Check boxes under Internationalization]

Note You need to log in before you can comment on or make changes to this bug.